Collections
Fetch Collection History
Retrieve a paginated list of all collection transactions
Authorization
clientId clientSecret client-id<token>
In: header
client-secret<token>
In: header
Query Parameters
page?integer
Page number for pagination
Range
1 <= valueDefault
1limit?integer
Number of records per page
Range
1 <= value <= 100Default
4dateFrom?string
Start date for filtering transactions (inclusive)
Format
datedateTo?string
End date for filtering transactions (inclusive)
Format
dateResponse Body
application/json
curl -X GET "https://example.com/payments/v1/payments"{ "statusCode": 0, "total": 0, "page": 0, "pages": 0, "limit": 0, "data": [ { "checkoutId": "string", "clientId": "string", "provider": "string", "providerLogo": "string", "channel": "string", "reference": "string", "providersReference": "string", "currency": "string", "amount": 0, "user": { "name": "string", "email": "string", "phoneNumber": "string" }, "merchantFee": 0, "customerFee": 0, "merchantFeeLabel": "string", "customerFeeLabel": "string", "charge": 0, "paidAt": 0, "status": "success", "availableBalance": 0, "createdAt": "2019-08-24T14:15:22Z" } ]}